- Home
- API Enriched
- Sites
- config
- Configure AWS VPC Site Information.
Configure AWS VPC Site Information.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_vpc_site/example/set_cloud_site_info';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"aws_vpc_info":{"private_ips":["example"],"public_ips":["example"],"subnet_ids":[{"az_name":"example","inside_subnet":{"az_name":"example","id":"example","ipv4_prefix":"example"},"inside_subnet_id":"example","outside_subnet":{"az_name":"example","id":"example","ipv4_prefix":"example"},"outside_subnet_id":"example","workload_subnet":{"az_name":"example","id":"example","ipv4_prefix":"example"},"workload_subnet_id":"example"}],"vpc_id":"example","vpc_name":"example"},"direct_connect_info":{"asn":1,"direct_connect_gateway_id":"example","vgw_id":"example"},"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_vpc_site/example/set_cloud_site_info \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "aws_vpc_info": { "private_ips": [ "example" ], "public_ips": [ "example" ], "subnet_ids": [ { "az_name": "example", "inside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "inside_subnet_id": "example", "outside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "outside_subnet_id": "example", "workload_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "workload_subnet_id": "example" } ], "vpc_id": "example", "vpc_name": "example" }, "direct_connect_info": { "asn": 1, "direct_connect_gateway_id": "example", "vgw_id": "example" }, "name": "example", "namespace": "example" }'Configure AWS VPC Site Information like public, private ips, subnet IDs and others.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for the object to be configured.
Name Name of the object to be configured.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to configure Cloud Site Information.
object
object
AWS Private IPs used by the nodes Required: YES.
AWS Elastic IPs used by the nodes Required: YES.
AWS Subnet Info where the F5XC site is deployed
Required: YES.
AWS Subnet IDs used by F5 Distributed Cloud site.
object
AWS availability zone, must be consistent with the selected AWS region.
object
AWS availability zone, must be consistent with the selected AWS region. Required: YES.
Subnet ID
Subnet CIDR block. It has to be private address space. Required: YES.
Inside subnet ID used by F5 Distributed Cloud site.
object
AWS availability zone, must be consistent with the selected AWS region. Required: YES.
Subnet ID
Subnet CIDR block. It has to be private address space. Required: YES.
Outside subnet ID used by F5 Distributed Cloud site.
object
AWS availability zone, must be consistent with the selected AWS region. Required: YES.
Subnet ID
Subnet CIDR block. It has to be private address space. Required: YES.
Workload subnet ID used by F5 Distributed Cloud site.
VPC ID where the F5 Distributed Cloud site exists.
VPC Name where the F5 Distributed Cloud site exists.
object
The autonomous system (AS) number on the AWS side for Border Gateway Protocol (BGP) configuration.
DirectConnect Gateway ID Required: YES.
Virtual Private Gateway ID Required: YES.
Name of the object to be configured.
Namespace for the object to be configured.
Examplegenerated
{ "aws_vpc_info": { "private_ips": [ "example" ], "public_ips": [ "example" ], "subnet_ids": [ { "az_name": "example", "inside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "inside_subnet_id": "example", "outside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "outside_subnet_id": "example", "workload_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "workload_subnet_id": "example" } ], "vpc_id": "example", "vpc_name": "example" }, "direct_connect_info": { "asn": 1, "direct_connect_gateway_id": "example", "vgw_id": "example" }, "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response to configure configure Cloud Site Information.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example